EnTT: entt::value_list_unique< value_list< Value, Other... > > Struct Template Reference

EnTT 3.16.0

Loading...
Searching...
No Matches
Public Types | List of all members
entt::value_list_unique< value_list< Value, Other... > > Struct Template Reference

Removes duplicates values from a value list. More...

`#include <type_traits.hpp>`

## Public Types
using | type
| A value list without duplicate types.

## Detailed Description

template<auto Value, auto... Other>
struct entt::value_list_unique< value_list< Value, Other... > >

Removes duplicates values from a value list.

Template Parameters

  Value | One of the values provided by the given value list.
  Other | The other values provided by the given value list.

Definition at line 529 of file type_traits.hpp.

## Member Typedef Documentation

## ◆ type

template<auto Value, auto... Other>

using entt::value_list_unique< value_list< Value, Other... > >::type

Initial value:
std::conditional_t<
((Value == Other) || ...),
typename value_list_unique<value_list<Other...>>::type,
value_list_cat_t<value_list<Value>, typename value_list_unique<value_list<Other...>>::type>>
entt::value_list_cat_t
typename value_list_cat< List... >::type value_list_cat_t
Helper type.
Definition type_traits.hpp:517
entt::value_list_unique< value_list< Value, Other... > >::type
std::conditional_t<((Value==Other)||...), typename value_list_unique< value_list< Other... > >::type, value_list_cat_t< value_list< Value >, typename value_list_unique< value_list< Other... > >::type > > type
A value list without duplicate types.
Definition type_traits.hpp:531
entt::value_list_unique
Primary template isn't defined on purpose.
Definition type_traits.hpp:521
entt::value_list
A class to use to push around lists of constant values, nothing more.
Definition type_traits.hpp:366

A value list without duplicate types.

Definition at line 531 of file type_traits.hpp.

The documentation for this struct was generated from the following file:

- src/entt/core/type_traits.hpp